header {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;
    align-items: center;
    
    background-color: rgb(255, 255, 255);
    border: 1px solid rgb(240, 240, 240);
    border-radius: var(--header-size);
    
    position: fixed;
    
    top: var(--padding, 0);
    left: var(--padding, 0);
    
    width: calc(100% - var(--padding, 0) * 2);
    height: var(--header-size, 0);
    padding: 1.375rem;
    
    z-index: 4096;
}

@supports (backdrop-filter: blur()) {
    header {
        background-color: rgba(255, 255, 255, 0.95);
        backdrop-filter: blur(8px);
    }
}

header > a {
    z-index: 1;
}

header > h1.title {
    margin-left: 0.5rem;
}

header > h1.title > a {
    font-weight: 600;
    font-size: 1.75rem;
    
    text-shadow:
        0 0px 0 rgba(0, 0, 0, 0),
        0 5px 0 rgba(0, 0, 0, 0),
        0 10px 0 rgba(0, 0, 0, 0),
        0 -0px 0 rgba(0, 0, 0, 0),
        0 -5px 0 rgba(0, 0, 0, 0),
        0 -10px 0 rgba(0, 0, 0, 0)
    ;
    
    white-space: nowrap;
    line-height: 1.75rem;
    letter-spacing: calc(1.75rem * var(--letter-spacing, 0) / 2);
    
    transition: text-shadow 250ms ease-out;
}

header > h1.title > a:hover {
    text-shadow:
        0 5px 0 rgba(0, 0, 0, 0.100),
        0 10px 0 rgba(0, 0, 0, 0.075),
        0 15px 0 rgba(0, 0, 0, 0.050),
        0 -5px 0 rgba(0, 0, 0, 0.100),
        0 -10px 0 rgba(0, 0, 0, 0.075),
        0 -15px 0 rgba(0, 0, 0, 0.050)
    ;
}

header > a.link {
    color: rgb(255, 255, 255);
    background-color: rgb(0, 0, 0);
    border-radius: var(--header-size);
    
    font-weight: 500;
    font-size: 1rem;
    
    outline: 1px solid rgba(0, 0, 0, 0);
    outline-offset: 1.375rem;
    
    text-align: center;
    line-height: calc(6rem - 1.375rem * 2 - 1px);
    letter-spacing: calc(1rem * var(--letter-spacing));

    height: 100%;
    padding: 0 2rem;
    
    transition: outline-color var(--transition), outline-offset var(--transition);
}

header > a.link:hover {
    outline-color: rgba(0, 0, 0, 0.1);
    outline-offset: calc(1.375rem / 2);
}

@media (max-width: calc(37.5rem + 2rem * 2)) {
    header {
        border: none;
        border-radius: 0;
        
        background-color: rgb(255, 255, 255);
        backdrop-filter: none;
        
        top: 0;
        left: 0;
        
        width: 100%;
    }
}